Bug 1919750 - Search InstallPlans got Minified React error
Summary: Search InstallPlans got Minified React error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Jon Jackson
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-25 03:27 UTC by Yadan Pei
Modified: 2021-02-24 15:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: InstallPlanTableRow component uses a React hook and was being passed directly to the Table component within InstallPlanList. Consequence: The Row prop of the Table component is defined as a callback instead of a React component, so passing a React component that uses hooks causes an exception. Fix: Wrap the InstallPlanTableRow component in a callback to be passed on to the Table Row prop. Result: No exception is thrown from the InstallPlanList component.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:55:50 UTC
Target Upstream Version:


Attachments (Terms of Use)
Search Install Plan No error (82.49 KB, image/png)
2021-01-28 03:35 UTC, Siva Reddy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7932 0 None closed Bug 1919750: Fix exception on InstallPlan list page 2021-02-08 19:22:33 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:56:05 UTC

Description Yadan Pei 2021-01-25 03:27:02 UTC
Description of problem:
When searching InstallPlans 'Minified React error' is returned

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2021-01-22-134922

How reproducible:
Always

Steps to Reproduce:
1. Goes to Home -> Search -> select InstallPlan

Actual results:
1. We can see following js error: 
Error: Minified React error #321; visit https://reactjs.org/docs/error-decoder.html?invariant=321 for the full message or use the non-minified dev environment for full errors and additional helpful warnings. 
    Ro vendors~main-chunk-71ce350cdbae4f0fa29f.min.js:168314
    useContext vendors~main-chunk-71ce350cdbae4f0fa29f.min.js:168279
    d vendors~main-chunk-71ce350cdbae4f0fa29f.min.js:373
    y clusterserviceversion-chunk-0e45e10384795723d69a.min.js:1
    rowRenderer main-chunk-55e00f364e3173c900c4.min.js:1
    _cellRenderer vendors~main-chunk-71ce350cdbae4f0fa29f.min.js:183983
    r vendors~main-chunk-71ce350cdbae4f0fa29f.min.js:141520


Expected results:
1. no errors

Additional info:

Comment 2 Siva Reddy 2021-01-28 03:34:23 UTC
now the search doesn't give any errors. 
attached screen shot

Version:
4.7.0-0.nightly-2021-01-28-005023

Steps to verify
 follow steps in the description as it is (https://bugzilla.redhat.com/show_bug.cgi?id=1919750#c0)

Comment 3 Siva Reddy 2021-01-28 03:35:48 UTC
Created attachment 1751557 [details]
Search Install Plan No error

Comment 6 errata-xmlrpc 2021-02-24 15:55:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.